Bug 1125403 - hammer lifecycle environments "paths" command broken
Summary: hammer lifecycle environments "paths" command broken
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Content Management
Version: 6.0.4
Hardware: Unspecified
OS: Unspecified
unspecified
high vote
Target Milestone: Unspecified
Assignee: Adam Price
QA Contact: sthirugn@redhat.com
URL: http://projects.theforeman.org/issues...
Whiteboard:
Depends On:
Blocks: 1131618
TreeView+ depends on / blocked
 
Reported: 2014-07-31 18:16 UTC by Eric Helms
Modified: 2016-04-22 16:07 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-09-11 12:27:33 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Foreman Issue Tracker 5655 None None None 2016-04-22 16:07:16 UTC

Description Eric Helms 2014-07-31 18:16:42 UTC
$ hammer -v lifecycle-environment paths --organization-id=ACME_Corporation


Errors out with 

NoMethodError (undefined method `each' for nil:NilClass):
    /home/paji/sparta/projects/hammer-cli-katello/lib/hammer_cli_katello/lifecycle_environment.rb:26:in `extend_data'
    /home/paji/sparta/projects/hammer-cli-foreman/lib/hammer_cli_foreman/commands.rb:136:in `block in send_request'
    /home/paji/sparta/projects/hammer-cli-foreman/lib/hammer_cli_foreman/commands.rb:136:in `map!'

Comment 1 Eric Helms 2014-07-31 18:16:43 UTC
Created from redmine issue http://projects.theforeman.org/issues/5655

Comment 4 Adam Price 2014-08-18 19:57:47 UTC
both PRs merged

Comment 7 sthirugn@redhat.com 2014-08-20 20:47:44 UTC
Failed.

hammer> lifecycle-environment paths --organization-id=3
Error: can't convert String into Integer

hammer> lifecycle-environment paths --organization=rhcorp
Error: can't convert String into Integer

hammer> lifecycle-environment paths --organization-label=rhcorp
Error: can't convert String into Integer

Version Tested:
GA Snap 6 - Satellite-6.0.4-RHEL-6-20140820.1

* apr-util-ldap-1.3.9-3.el6_0.1.x86_64
* candlepin-0.9.23-1.el6_5.noarch
* candlepin-common-1.0.1-1.el6_5.noarch
* candlepin-scl-1-5.el6_4.noarch
* candlepin-scl-quartz-2.1.5-5.el6_4.noarch
* candlepin-scl-rhino-1.7R3-1.el6_4.noarch
* candlepin-scl-runtime-1-5.el6_4.noarch
* candlepin-selinux-0.9.23-1.el6_5.noarch
* candlepin-tomcat6-0.9.23-1.el6_5.noarch
* elasticsearch-0.90.10-6.el6sat.noarch
* foreman-1.6.0.41-1.el6sat.noarch
* foreman-compute-1.6.0.41-1.el6sat.noarch
* foreman-gce-1.6.0.41-1.el6sat.noarch
* foreman-libvirt-1.6.0.41-1.el6sat.noarch
* foreman-ovirt-1.6.0.41-1.el6sat.noarch
* foreman-postgresql-1.6.0.41-1.el6sat.noarch
* foreman-proxy-1.6.0.29-1.el6sat.noarch
* foreman-selinux-1.6.0.7-1.el6sat.noarch
* foreman-vmware-1.6.0.41-1.el6sat.noarch
* katello-1.5.0-29.el6sat.noarch
* katello-ca-1.0-1.noarch
* katello-certs-tools-1.5.6-1.el6sat.noarch
* katello-installer-0.0.60-1.el6sat.noarch
* openldap-2.4.23-34.el6_5.1.x86_64
* openldap-devel-2.4.23-34.el6_5.1.x86_64
* pulp-katello-0.3-3.el6sat.noarch
* pulp-nodes-common-2.4.0-0.30.beta.el6sat.noarch
* pulp-nodes-parent-2.4.0-0.30.beta.el6sat.noarch
* pulp-puppet-plugins-2.4.0-0.30.beta.el6sat.noarch
* pulp-puppet-tools-2.4.0-0.30.beta.el6sat.noarch
* pulp-rpm-plugins-2.4.0-0.30.beta.el6sat.noarch
* pulp-selinux-2.4.0-0.30.beta.el6sat.noarch
* pulp-server-2.4.0-0.30.beta.el6sat.noarch
* python-ldap-2.3.10-1.el6.x86_64
* ruby193-rubygem-net-ldap-0.3.1-3.el6sat.noarch
* ruby193-rubygem-runcible-1.1.0-2.el6sat.noarch

Comment 8 Adam Price 2014-08-21 13:58:38 UTC
i'm think we only got half of this fix? it had commits for the server and hammer. investigating.

Comment 9 Adam Price 2014-08-21 15:53:44 UTC
yeah, that's what happened. @Jason, if you could also cherry-pick the commit for the katello server from the link above, we should be good.

To test this, I:

- installed Satellite6 latest snap onto a RHEL box
- applied the above PR to to the Sat6 server
- `katello-service restart`
- `hammer lifecycle-environment paths` ran successfully

Comment 12 sthirugn@redhat.com 2014-08-28 13:30:58 UTC
Verified.

# hammer -u admin -p changeme lifecycle-environment paths --organization-id=3
-----------------------------------------
LIFECYCLE PATH                           
-----------------------------------------
Library >> ÆêÀÎÚÓÊýÌØýÒâüÃ
Library >> DEV >> QE >> PROD             
-----------------------------------------

# hammer -u admin -p changeme lifecycle-environment paths --organization=rhcorp
-----------------------------------------
LIFECYCLE PATH                           
-----------------------------------------
Library >> ÆêÀÎÚÓÊýÌØýÒâüÃ
Library >> DEV >> QE >> PROD             
-----------------------------------------

# hammer -u admin -p changeme lifecycle-environment paths --organization-label=rhcorp
-----------------------------------------
LIFECYCLE PATH                           
-----------------------------------------
Library >> ÆêÀÎÚÓÊýÌØýÒâüÃ
Library >> DEV >> QE >> PROD             
-----------------------------------------

Version Tested:
GA Snap 7 - Satellite-6.0.4-RHEL-6-20140828.0

* apr-util-ldap-1.3.9-3.el6_0.1.x86_64
* candlepin-0.9.23-1.el6_5.noarch
* candlepin-common-1.0.1-1.el6_5.noarch
* candlepin-scl-1-5.el6_4.noarch
* candlepin-scl-quartz-2.1.5-5.el6_4.noarch
* candlepin-scl-rhino-1.7R3-1.el6_4.noarch
* candlepin-scl-runtime-1-5.el6_4.noarch
* candlepin-selinux-0.9.23-1.el6_5.noarch
* candlepin-tomcat6-0.9.23-1.el6_5.noarch
* elasticsearch-0.90.10-6.el6sat.noarch
* foreman-1.6.0.42-1.el6sat.noarch
* foreman-compute-1.6.0.42-1.el6sat.noarch
* foreman-gce-1.6.0.42-1.el6sat.noarch
* foreman-libvirt-1.6.0.42-1.el6sat.noarch
* foreman-ovirt-1.6.0.42-1.el6sat.noarch
* foreman-postgresql-1.6.0.42-1.el6sat.noarch
* foreman-proxy-1.6.0.30-1.el6sat.noarch
* foreman-selinux-1.6.0.14-1.el6sat.noarch
* foreman-vmware-1.6.0.42-1.el6sat.noarch
* katello-1.5.0-30.el6sat.noarch
* katello-ca-1.0-1.noarch
* katello-certs-tools-1.5.6-1.el6sat.noarch
* katello-installer-0.0.62-1.el6sat.noarch
* openldap-2.4.23-34.el6_5.1.x86_64
* openldap-devel-2.4.23-34.el6_5.1.x86_64
* pulp-katello-0.3-4.el6sat.noarch
* pulp-nodes-common-2.4.1-0.5.rc1.el6sat.noarch
* pulp-nodes-parent-2.4.1-0.5.rc1.el6sat.noarch
* pulp-puppet-plugins-2.4.1-0.5.rc1.el6sat.noarch
* pulp-puppet-tools-2.4.1-0.5.rc1.el6sat.noarch
* pulp-rpm-plugins-2.4.1-0.5.rc1.el6sat.noarch
* pulp-selinux-2.4.1-0.5.rc1.el6sat.noarch
* pulp-server-2.4.1-0.5.rc1.el6sat.noarch
* python-ldap-2.3.10-1.el6.x86_64
* ruby193-rubygem-net-ldap-0.3.1-3.el6sat.noarch
* ruby193-rubygem-runcible-1.1.0-2.el6sat.noarch

Comment 13 Bryan Kearney 2014-09-11 12:27:33 UTC
This was delivered with Satellite 6.0 which was released on 10 September 2014.


Note You need to log in before you can comment on or make changes to this bug.